<%@ Page language="c#" validateRequest="false"%>
<%@ Register TagPrefix="RadE" NameSpace="Telerik.WebControls" Assembly="RadEditor" %>
<html>
  <head>
    <title>Tools dialog height management</title>
   <script language="javascript">
	function changeRadEditorToolBarHeight(h)
	{
		// the image button used to open the tool bar 
		var imageButton = null; 
		// locate the image button on the page 
		var imgTagsArray = document.getElementsByTagName("img"); 
		for (var i=0;i<imgTagsArray.length;i++)
		{
			// identify the tool icon 
			if (imgTagsArray[i].src.indexOf("toolbar.gif") > 0)
			{
				imageButton = imgTagsArray[i]; 
				break; // remove this statement if there is more than one active editor on the page 
			} // end if
		} // end for

		if (imageButton != null)
		{
			var originalImageButtonOnClick = imageButton.onclick;
			alert('CHANGE THE 70px BELOW WITH THE ACTUAL HEIGHT OF THE YOUR TOOLBAR DIALOG');
			var changedImageButtonOnClickAsString = originalImageButtonOnClick.toString().replace("70px", h+"px");
			// determine where the function body begins
			var openBrace = changedImageButtonOnClickAsString.indexOf("{"); 
			// determine where the function body ends 
			var closeBrace = changedImageButtonOnClickAsString.indexOf("}"); 

			// extract the text of the changed onClick event
			changedImageButtonOnClickAsString = changedImageButtonOnClickAsString.substr(openBrace+1, (closeBrace-openBrace)-1);
			// re-construct our version of the onClick event
			imageButton.onclick = function() { eval(changedImageButtonOnClickAsString) };
		} // end if
	} // end function

   </script>
  </head>
  <body onload="changeRadEditorToolBarHeight(150);">
    <form id="frmMain" method="post" runat="server">
		<rade:radeditor
			id="editorMain"
			runat="server"
			editable="true"

			ImagesPaths="~/"
			UploadImagesPaths="~/"
			DeleteImagesPaths="~/"
			
			ToolsOnPage="false"

		></rade:radeditor>
     </form>
	
  </body>
</html>
